<template>
    <div class="text-center">
        <v-dialog v-model="dialog" max-width="500px">
            <template v-slot:activator="{ on, attrs }">
                <v-btn fab x-small
                       v-bind="attrs" v-on="on"
                       style="background-color: transparent; box-shadow: none">
                    <v-icon color="red">
                        mdi-delete
                    </v-icon>
                </v-btn>
            </template>
            <v-card>
                <v-card-title class="headline red">
                    <span class="headline white--text">{{ $t("LNG_FIELDS_deletion") }}</span>
                </v-card-title>
                <v-divider></v-divider>
                <v-card-text>
                    {{ $t("LNG_FIELDS_CONFIRMATION") }}
                </v-card-text>
                <v-card-actions>
                    <v-spacer/>
                    <v-btn color="grey" class="mr-4 white--text" @click="dialog = false">
                        {{ $t("LNG_FIELDS_CANCEL") }}
                    </v-btn>
                    <v-btn @click="deleteField" color="error" class="mr-4">
                        {{ $t("LNG_FIELDS_deletion") }}
                    </v-btn>
                    <v-spacer/>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </div>
</template>

<script>
import Services from "@/services/api/index"

export default {
    name: 'FieldDelete',
    props: {
        id: {
            required: true
        }
    },
    data: () => ({
        dialog: false,
    }),
    methods: {
        // TODO: Tu fais quoi si erreur 404 ou 500 ??
        async deleteField() {
            await Services.Fields.deleteFields(this.id).then((res) => {
                switch (res.status) {
                    case 200:
                        this.$emit("deleted");
                        this.dialog = false;
                        break;
                    case 401:
                        this.$router.push({ name: "Login" });
                        break;
                }
            })
        }
    }
}
</script>